Trkd GPS

Trkd GPS For Android

System Requirements

Please check that your device specification includes the following:

  • Global Positioning System: GPS, GLONASS or equivalent system
    • Either integrated or via Bluetooth
Then check the list of supported devices below.

Supported Devices

Trkd GPS runs on devices with any of the following Android versions:

  • Froyo (2.2–2.2.x)
  • Gingerbread (2.3–2.3.x)
  • Honeycomb (3.0–3.2.x)
  • Ice Cream Sandwich (4.0–4.0.x)
  • Jelly Bean (4.1–4.3.x)
  • KitKat (4.4–4.4.x)
  • Lollipop (5.0–5.1.x)
  • Marshmallow (6.0-6.0.x)
  • Nougat (7.0-7.1.x)
  • Oreo (8.0-8.0.x)

Check the version on your device by selecting Applications->Settings->About phone/device->Android version